<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    function foo() {
        if (true) {
            var fruit1 = "apple";
            let fruit2 = "banana";
            const fruit3 = "strawberry";

        }
        console.log(fruit1);
        // console.log(fruit2); // lỗi vì let ngoài lệnh if
        // console.log(fruit3); //  lỗi vì let ngoài lệnh if
    }
    function foo1() {
        var fruit1 = "apple";
        let fruit2 = "banana";
        const fruit3 = "strawberry";
        function foo2() {
            if (true) {
                console.log(fruit1);// tất cả đề hiên thị vì nằm trong function
                console.log(fruit2); 
                console.log(fruit3); 
            }
        }
        foo2();

    }
    foo1()
    foo();
</script>

</html>